## goom goom — Takes frames of data and outputs video frames using the GOOM filter |

## Types and Values

struct | GstGoom

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstGoom

## Description

Goom is an audio visualisation element. It creates warping structures based on the incoming audio signal.

### Example launch line

    1
    gst-launch -v audiotestsrc ! goom ! ffmpegcolorspace ! xvimagesink

## Synopsis

### Element Information

plugin | goom
author | Wim Taymans <wim@fluendo.com>
class | Visualization

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw-int, endianness=(int)1234, signed=(boolean)true, width=(int)16, depth=(int)16, rate=(int)[ 8000, 96000 ], channels=(int){ 1, 2 }

name | src
direction | source
presence | always
details | video/x-raw-rgb, bpp=(int)32, depth=(int)24, endianness=(int)4321, red_mask=(int)65280, green_mask=(int)16711680, blue_mask=(int)-16777216, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstGoom

    struct GstGoom;

## See Also

synaesthesia